VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} frmAreaUnits 
   Caption         =   "New Area Units"
   ClientHeight    =   3900
   ClientLeft      =   45
   ClientTop       =   495
   ClientWidth     =   5670
   OleObjectBlob   =   "frmAreaUnits.frx":0000
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "frmAreaUnits"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub cmdCancel_Click()
    End
End Sub

Private Sub cmdRun_Click()
' Part 1: Define the feature class.
    Dim pMxDoc As IMxDocument
    Dim pFeatureLayer As IFeatureLayer
    Dim pFeatureClass As IFeatureClass
    Set pMxDoc = ThisDocument
    Set pFeatureLayer = pMxDoc.FocusMap.Layer(0)
    Set pFeatureClass = pFeatureLayer.FeatureClass
  
    ' Part 2: Add Acres or SqMiles as a new field.
    Dim pField As IFieldEdit
    Set pField = New Field
    pField.Type = esriFieldTypeDouble
    If cboUnits.ListIndex = 0 Then
        pField.Name = "Acres"
    Else
        pField.Name = "SqMiles"
    End If
    pFeatureClass.AddField pField
    
    ' Part 3: Calculate the new field values.
    Dim pCursor As ICursor
    Dim pCalculator As ICalculator
    ' Prepare a cursor with all records.
    Set pCursor = pFeatureClass.Update(Nothing, True)
    ' Define a calculator.
    Set pCalculator = New Calculator
    Set pCalculator.Cursor = pCursor
    ' Calculate the field values.
    If cboUnits.ListIndex = 0 Then
        pCalculator.Expression = "[Area] / 4046.7808"
        pCalculator.Field = "Acres"
        pCalculator.Calculate
    Else
        pCalculator.Expression = "([Area] / 1000000) * 0.3861"
        pCalculator.Field = "SqMiles"
        pCalculator.Calculate
    End If
End Sub

Private Sub UserForm_Click()

End Sub

Private Sub UserForm_Initialize()
' Add items to the dropdown list.
    cboUnits.AddItem "Acres"
    cboUnits.AddItem "SqMiles"
End Sub
